Skip to main content
POST
/
network
/
ip_addresses
/
{public_ipv4_address}
/
assign
Assign Floating IP
curl --request POST \
  --url https://api.tenbytecloud.com/v1/network/ip_addresses/{public_ipv4_address}/assign \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "assigned_to": "<string>",
  "assigned_to_resource_type": "<string>"
}
'
{
  "id": 1,
  "address": "1.1.1.1",
  "assigned_to": "88e5a11b-9c89-4986-99c7-90d43499317c",
  "assigned_to_resource_type": "virtual_machine"
}

Authorizations

apikey
string
header
required

Path Parameters

public_ipv4_address
string
required

Body

application/json
assigned_to
string

UUID of the resource to assign to

assigned_to_resource_type
string

One of: virtual_machine, service, load_balancer

Response

200 - application/json

Updated floating IP

The response is of type object.